View Issue Details

IDProjectCategoryView StatusLast Update
0023456LazarusIDEpublic2012-12-13 10:35
ReporterBigChimpAssigned ToMaxim Ganetsky 
PrioritylowSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Platformx64 (with x86 compiler)OSWindowsOS VersionVista
Product Version1.1 (SVN)Product Build 
Target VersionFixed in Version1.1 (SVN) 
Summary0023456: Search results window does not have system menu on top left
Description(Hope I'm using the right terminology here)
1. Do e.g. a search in files/ctrl-shift-f. Note the system menu with the Lazarus icon on the top left of the window which allows you to e.g. close the window
2. The search results window shows. This has no system menu

Suggest adding a Lazarus icon/system menu to the top left of the Search results window.
Almost all Lazarus windows have this system menu which is handy if your mouse is to the left (on Windows) if you want to click the window closed.
TagsNo tags attached.
Fixed in Revision39507
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Maxim Ganetsky

2012-12-10 22:49

developer   ~0064230

Please test and close if ok.

Reinier Olislagers

2012-12-11 10:26

developer   ~0064234

Change doesn't seem to have any effect on x86 and x64 Windows Laz - behaviour is still the same.

2012-12-11 20:59

 

searchresults.png (30,110 bytes)
searchresults.png (30,110 bytes)

Maxim Ganetsky

2012-12-11 21:00

developer   ~0064246

It works (at least on Windows XP). See attached screenshot.

Make sure that:

1. You have latest revision.
2. You recompiled Lazarus clean.

Reinier Olislagers

2012-12-13 10:35

developer   ~0064275

Thanks, works with current trunk.

Issue History

Date Modified Username Field Change
2012-12-10 11:05 Reinier Olislagers New Issue
2012-12-10 11:05 Reinier Olislagers LazTarget => -
2012-12-10 11:05 Reinier Olislagers Widgetset => Win32/Win64
2012-12-10 22:49 Maxim Ganetsky Fixed in Revision => 39507
2012-12-10 22:49 Maxim Ganetsky Status new => resolved
2012-12-10 22:49 Maxim Ganetsky Fixed in Version => 1.1 (SVN)
2012-12-10 22:49 Maxim Ganetsky Resolution open => fixed
2012-12-10 22:49 Maxim Ganetsky Assigned To => Maxim Ganetsky
2012-12-10 22:49 Maxim Ganetsky Note Added: 0064230
2012-12-11 10:26 Reinier Olislagers Note Added: 0064234
2012-12-11 10:26 Reinier Olislagers Status resolved => feedback
2012-12-11 20:59 Maxim Ganetsky File Added: searchresults.png
2012-12-11 21:00 Maxim Ganetsky Status feedback => resolved
2012-12-11 21:00 Maxim Ganetsky Note Added: 0064246
2012-12-13 10:35 Reinier Olislagers Status resolved => closed
2012-12-13 10:35 Reinier Olislagers Note Added: 0064275